Public offers, rights issues and IPOs
Open and recent NGX public offers, rights issues and IPOs with unit price, opening and closing dates and days remaining.
http
GET https://koboterminal.com/api/ngxdata/offersPlan: Free and above (free key, no card).
Request
bash
curl "https://koboterminal.com/api/ngxdata/offers" \
-H "X-API-Key: $KOBO_API_KEY"python
import os, requests
r = requests.get(
"https://koboterminal.com/api/ngxdata/offers",
headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
timeout=30,
)
r.raise_for_status()
data = r.json()javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/offers", {
headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();Response
Illustrative example (values are examples, field names are exact):
json
{
"success": true,
"source": "ngx_invest_snapshot",
"updated_at": "2026-11-16T08:00:00Z",
"count": 1,
"data": [
{
"id": "abc123",
"name": "Example Plc Rights Issue",
"type": "RIGHTS_ISSUE",
"type_label": "Rights Issue",
"status": "Open",
"days_remaining": 9,
"unit_price": 12.5,
"start_date": "2026-11-03",
"end_date": "2026-11-27",
"issuer": "Example Plc",
"source_url": "https://www.invest.ngxgroup.com/portal"
}
]
}Use it from an AI assistant
This endpoint is available as the get_offers tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.
Errors
Standard errors apply: see Rate limits and errors.